/*
 *  Roadnav
 *  TTS_AppleSpeech.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// AppleSpeech text to speech class
///
//////////////////////////////////////////////////////////////////////////////

#ifndef TTS_APPLESPEECH_H
#define TTS_APPLESPEECH_H

#ifdef USE_APPLESPEECH

#include "TTS.h"

class TTS_AppleSpeech : public ITTS
{
	public: // public functions
		TTS_AppleSpeech();

		virtual ~TTS_AppleSpeech();
		
		virtual wxString Name();
		virtual ETTSStatus GetStatus();
		virtual ETTSStatus Speak(const wxString & strText);
		virtual wxString GetLastError();
};

#endif // #ifdef USE_APPLESPEECH
#endif // #ifndef TTS_APPLESPEECH_H
