%define version  0.19

Summary: A cross platform in-car navigation system.  
Name: roadnav
Version: %{version}
Release: 1
License: GPL
Group: Applications/Productivity
Source: http://unc.dl.sourceforge.net/sourceforge/roadnav/roadnav-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description

Roadnav is an open source street navigation solution capable of running
on a variety of operating systems. It can obtain your position from a GPS
unit, plot a map of your area, and provide directions to locations in the
USA. It can also verbalize directions using Microsoft SAPI 5.1, Festival, 
flite, and OS X's built in text to speech engine.

%prep
%setup -q

%build
./configure --prefix=/usr \
            --mandir=/usr/share/man

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/roadnav

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog AUTHORS INSTALL NEWS

/usr/bin/roadnav
/usr/share/roadnav/
/usr/share/applications/roadnav.desktop
/usr/share/pixmaps/roadnav.png

%changelog
* Sun Jun 26 2005 Richard L. Lynch <rllynch@users.sourceforge.net> 
- Initial import.
